Package twisted :: Package web :: Module widgets :: Class Widget

[show private | hide private]
[frames | no frames]

## Class Widget

Known Subclasses:
  `Form`, `ConfigRoot`, `Presentation`, `StreamWidget`, `PerspectivesGadget`, `WidgetGuard`, `Container`, `DataWidget`, `Time`, `WidgetMixin`, `WordsGadget`, `ParticipantListWidget`, `ParticipantInfoWidget`

A component of a web page.

Method Summary
| ``display`(self, request)` Implement me to represent your widget.
| `getTitle(self, request)`

Class Variable Summary
`NoneType` | `title`

Method Details

### display(self, request)

Implement me to represent your widget.

I must return a list of strings and twisted.internet.defer.Deferred instances.

Class Variable Details

### title

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:19:10 2003 | http://epydoc.sf.net